<!DOCTYPE html>
<html>

  <head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="theme-color" content="#ff7800"><!-- primary color -->

  <title>GNOME Shell</title>

  <link rel="canonical" href="https://shell.gnome.org/" />
  <link rel="stylesheet" href="style.css" />
  
  <link rel="icon" type="image/png" href="assets/favicon.png" />
  <link rel="apple-touch-icon" sizes="180x180" href="assets/apple-touch-icon.png" />
  
  <!-- Twitter -->
  <meta property="twitter:title" content="GNOME Shell" />
  <meta property="twitter:image" content="https://shell.gnome.org/assets/card.png" />
  <meta property="twitter:card" content="summary_large_image" />
  <meta property="twitter:description" content="GNOME Shell website." />

  <!-- Open Graph -->
  <meta property="og:title" content="GNOME Shell" />
  <meta property="og:url" content="https://shell.gnome.org" />
  <meta property="og:description" content="GNOME Shell website." />
  <meta property="og:image" content="https://shell.gnome.org/assets/card.png" />
</head>


  <body>

    <header class="site-header">
  <h1 id="logo"><a href="/">Shell</a></h1>
</header>


    <div class="container">
      <picture class="full">
    <source srcset="assets/splash-dark.png" media="(prefers-color-scheme: dark)" />
    <img src="assets/splash.png" />
</picture>

       <p>GNOME shell provides core user interface functions for the GNOME
       desktop, like switching to windows and launching applications. GNOME
       shell takes advantage of the capabilities of modern graphics hardware
       and introduces innovative user interface concepts to provide a visually
       attractive and easy to use experience.</p>

<h2 id="history">TL;DR History</h2>

<img src="assets/shell-layout1.webp" class="filterimg" alt="shell layout 1" />
      
<p>As a breath of fresh air into the stinky world of Windows 95 taskbar and overlaid windows paradigm, this thing comes out of nowhere in 2011. GNOME 3.0 hits the scene, tossing out the old-school taskbars and menus for this sleek, minimalist setup with an overview mode and dynamic workspaces. It's like the developers decided to Marie Kondo the whole thing, keeping only what sparks joy.</p>

<img src="assets/shell-layout2.webp" class="filterimg" alt="shell layout 2" />
      
<p>The GNOME 40 series in 2021? Total game-changer with its horizontal workspace setup—suddenly, everyone's like, "Oh, this is how it's supposed to be!" And the updates keep coming, making things faster, prettier, and just better overall. Now, GNOME Shell is the cool kid on the Linux block, setting trends and showing everyone else how it's done. It's still evolving, still keeping things fresh, and, most importantly, still free.</p>

<img src="assets/shell-layout3.webp" class="filterimg" alt="shell layout 3" />
      
<h2 id="contributing">Contributing</h2>

<p>GNOME Shell is <a href="https://spdx.org/licenses/GPL-2.0-or-later">Free Software</a> and is developed in the open. The best place to start when learning about how to contribute is the <a href="https://handbook.gnome.org/">GNOME handbook.</a></p>

<p>To contribute, open merge requests at <a href="https://gitlab.gnome.org/GNOME/gnome-shell"><code class="language-plaintext highlighter-rouge">https://gitlab.gnome.org/GNOME/gnome-shell</code></a>.</p>

      <p>Subscribe to <a href="https://discourse.gnome.org/tag/shell">shell tag</a> on <a href="https://discourse.gnome.org/">Discourse</a> to get updates about the latest features and participate in the development and design discussions. Feel free to use this tag to send your design ideas to it. </p>

<h2 id="useful-links">Useful Links</h2>

<ul>
  <li><a href="https://gitlab.gnome.org/GNOME/gnome-shell/">Source Code</a></li>
  <li>FIXME: Coding style</li>
  <li>FIXME: Debugging shell</li>
</ul>
</div>

  <footer>
    <nav>
      <ul class="bottomlinks">
        <li><a href="/">Shell Home</a></li>
        <li><a href="https://foundation.gnome.org/contact-us/">Contact Us</a></li>
        <li><a href="https://foundation.gnome.org/team/">About Us</a></li>
        <li><a href="https://shop.gnome.org/">GNOME Shop</a></li>
        <li><a href="https://www.gnome.org/foundation/">GNOME Foundation</a></li>
        <li><a href="https://wiki.gnome.org/Foundation/CodeOfConduct">Code of Conduct</a></li>
        <li><a href="https://www.gnome.org/privacy-policy/">Privacy</a></li>
        <li><a href="https://gitlab.gnome.org/">Bug Tracker</a></li>
        <li><a href="https://discourse.gnome.org/">Forum</a></li>
        <li><a href="https://wiki.gnome.org/GettingInTouch/Matrix">Chat</a></li>
        <li><a href="https://developer.gnome.org/">Developer Center</a></li>
        <li><a href="http://release.gnome.org/">Latest Releases</a></li>
        <li><a href="http://brand.gnome.org">Brand Guidelines</a></li>
        <li><a href="https://thisweek.gnome.org/">This Week in GNOME</a></li>
        <li><a href="https://events.gnome.org/">Events</a></li>
        <li><a href="https://foundation.gnome.org/news/">Foundation News</a></li>
        <li><a href="https://planet.gnome.org/">Planet GNOME</a></li>
        <li><a href="https://apps.gnome.org/">Apps</a></li>
        <li><a href="https://circle.gnome.org/">GNOME Circle</a></li>
        <li><a href="https://flathub.org/">Flathub</a></li>
        <li><span class="socials">
          <a href="https://floss.social/@gnome" class="social" rel="me"><svg viewBox="0 0 16 16" id="mastodon" xmlns="http://www.w3.org/2000/svg"><path d="M7.478 0C5.56.016 3.716.223 2.64.717c0 0-2.132.954-2.132 4.208 0 .745-.015 1.636.009 2.58.077 3.183.583 6.319 3.525 7.098 1.357.359 2.522.434 3.46.382 1.7-.094 2.656-.607 2.656-.607l-.057-1.234s-1.215.383-2.58.337c-1.353-.047-2.781-.146-3-1.807a3.406 3.406 0 0 1-.03-.466s1.328.325 3.01.402c1.03.047 1.994-.06 2.974-.177 1.88-.225 3.516-1.383 3.722-2.44.324-1.668.297-4.068.297-4.068 0-3.254-2.132-4.208-2.132-4.208C11.288.223 9.443.016 7.525 0Zm-2.17 2.542c.798 0 1.403.308 1.803.922l.389.651.389-.651c.4-.614 1.005-.922 1.803-.922.69 0 1.247.243 1.672.717.412.473.617 1.113.617 1.918v3.94H10.42V5.293c0-.806-.34-1.215-1.018-1.215-.75 0-1.126.485-1.126 1.445v2.093H6.724V5.523c0-.96-.376-1.445-1.126-1.445-.678 0-1.018.409-1.018 1.215v3.824H3.02v-3.94c0-.805.204-1.445.616-1.918.425-.474.981-.717 1.672-.717Z" /></svg></a>
          <a href="https://www.youtube.com/user/GNOMEDesktop" class="social"><svg xml:space="preserve" viewBox="0 0 16 16" xmlns="http://www.w3.org/2000/svg"><path d="M8 2.05c-1.872 0-3.744.052-5.549.156C.48 2.319.197 3.893.086 5.416a30.086 30.086 0 0 0 0 4.552c.111 1.524.393 3.098 2.365 3.211 3.61.208 7.489.208 11.098 0 1.972-.113 2.254-1.687 2.365-3.21a30.081 30.081 0 0 0 0-4.552c-.111-1.524-.393-3.098-2.365-3.211A96.995 96.995 0 0 0 8 2.05ZM6.082 4.982l4.855 2.544-4.855 2.545V4.98Z"/></svg></a>
        </span></li>
      </ul>
    </nav>
    <p><a href="https://gnome.org">&copy; 2024 The GNOME Project</a></p>
    <p><small><a href="https://gitlab.gnome.org/Teams/Websites/shell.gnome.org">Website source</a></small></p>
  </footer>

</body>

</html>
